; Script que ilustra o ajuste de um modelo linear aos dados.
;
; Dependencias:
;  - Coyote libs

; Primeiro geramos dados sinteticos
xdata=findgen(50)
ydata=5.*randomn(seed,50)+xdata  ; "white noise"
plot, xdata, ydata, /nodata
oplot, xdata, ydata, color=fsc_color('red'), psym=6

; Uso da rotina linfit (minimos quadrados)
result=linfit(xdata, ydata, chisq=chisq, sigma=sigma)

xfit=xdata
yfit=result[0]+result[1]*xfit
oplot, xfit, yfit

print, 'Modelo: A+Bx'
print, 'Best fit (A,B):', result
print, 'Erros nos parametros:', sigma

end